package java.util;

import java.security.AccessController;
import sun.util.logging.PlatformLogger;

final class Tripwire
{
    private static final String TRIPWIRE_PROPERTY = "org.openjdk.java.util.stream.tripwire";
    static final boolean ENABLED;
    
    private Tripwire() {
    }
    
    static void trip(Class<?> clazz, String msg) {
        PlatformLogger.getLogger(clazz.getName()).warning(msg, new Object[] { clazz.getName() });
    }
    
    static {
        ENABLED = (boolean)AccessController.doPrivileged(()/*  */ -> Boolean.valueOf(Boolean.getBoolean("org.openjdk.java.util.stream.tripwire")));
    }
}
